For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet a listing by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTListings

Get all listings

GET
/v1/listings/
GET
/v1/listings/
$curl https://api.propexo.com/v1/listings/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "cm2dtyq1600008loze5xgf3fb",
18 "x_property_id": "clwqjwc1e000008i7fnrrayzc",
19 "x_unit_id": null,
20 "x_floor_plan_id": null,
21 "is_unit": null,
22 "available_date": "2024-05-07T00:00:00.000Z",
23 "application_url": null,
24 "bathrooms": null,
25 "bathrooms_full": null,
26 "bathrooms_half": null,
27 "bedrooms": null,
28 "building_name": null,
29 "building_number": null,
30 "city": null,
31 "country": null,
32 "custom_data": {},
33 "deposit_amount_in_cents": null,
34 "floor_plan_code": null,
35 "floor_plan_name": null,
36 "floor": null,
37 "image_urls": null,
38 "is_available": null,
39 "is_furnished": null,
40 "is_listed": null,
41 "is_managed_external": null,
42 "is_vacant": null,
43 "lease_term": null,
44 "listing_title": null,
45 "listing_date": null,
46 "marketing_name": null,
47 "notes": null,
48 "number": null,
49 "rent_amount_in_cents": null,
50 "specials": null,
51 "square_feet": null,
52 "state": null,
53 "address_1": null,
54 "address_2": null,
55 "property_description": null,
56 "short_description": null,
57 "unit_description": null,
58 "zip": null,
59 "make_ready_date": null,
60 "vacate_date": null,
61 "video_urls": null,
62 "status_raw": null,
63 "property_id": "clwi5xiix000008l6ctdgafyh",
64 "unit_id": null,
65 "floor_plan_id": null,
66 "integration_id": "clwh5u07w000508me66sfh3um",
67 "integration_vendor": "YARDI_REST",
68 "x_location_id": null,
69 "unit_type_id": "clwqjwc1e000008i7fnrrayzc:322_fs:UnitTypeUniqueID-2344",
70 "street_address_1": null,
71 "street_address_2": null
72 }
73 ]
74}
Get all listings
Was this page helpful?
Previous

Get a listing by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external listing id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the listing.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error